#
# spec file for package yast2-kdump
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-kdump
Version:        4.3.4
Release:        1.4
Summary:        Configuration of kdump
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-kdump

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
# Yast::Arch.paravirtualized_xen_guest?
BuildRequires:  yast2 >= 4.3.45
BuildRequires:  yast2-bootloader
BuildRequires:  yast2-buildtools >= 4.2.2

# Yast::Arch.paravirtualized_xen_guest?
Requires:       yast2 >= 4.3.45
# Kernel parameters with multiple values and bug#945479 fixed
Requires:       yast2-bootloader >= 3.1.148
Requires:       yast2-ruby-bindings >= 1.0.0
# SpaceCalculation.GetPartitionInfo
Requires:       yast2-packager
# do not use old installation with wrong finish order

%ifarch ppc
Recommends:     kdump
%else
Requires:       kdump
%endif
Recommends:     makedumpfile

Conflicts:      yast2-installation < 3.1.198

Supplements:    (yast2 and kdump)

Supplements:    autoyast(kdump)

%description
Configuration of kdump

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_libdir}
%{yast_clientdir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_schemadir}
%{yast_scrconfdir}
%doc %{yast_docdir}
%{yast_icondir}
%license COPYING

%changelog
* Thu Feb 18 2021 jreidinger@suse.com
- Adapted unit test to recent changes in Yast::Report (related to
  bsc#1179893).
- 4.3.4
* Mon Nov 30 2020 dgonzalez@suse.com
- Do not show a warning when running in a HVM Xen guest
  (bsc#1179197).
- 4.3.3
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(kdump) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.2
* Tue Jun  9 2020 jreidinger@suse.com
- Reduce autoyast profile size if kdump is disabled (bsc#1172749)
- 4.3.1
* Tue May 12 2020 jreidinger@suse.com
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Tue Feb 18 2020 shundhammer@suse.com
- Fixed user-visible messages (bsc#1084015)
- 4.2.9
* Thu Feb  6 2020 schubi@suse.de
- Improved text (label/helptext) for kdump low/high memory usage.
  (bsc#1153940)
- 4.2.8
* Wed Jan  8 2020 schubi@suse.de
- Showing default (expected) values for high/low kdump memory.
  (bsc#1153940)
- 4.2.7
* Wed Oct 30 2019 jreidinger@suse.com
- fix crash for empty kdump section (related to change for
  bsc#1149208)
- 4.2.6
* Thu Sep 26 2019 jreidinger@suse.com
- fix installing kdump to first stage when kdump enabled in
  AutoYaST  (bsc#1149208)
- 4.2.5
* Wed Aug 28 2019 schubi@suse.de
- Removed empty entry in desktop file (bsc#144894).
- 4.2.4
* Tue Aug 27 2019 schubi@suse.de
- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.3
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.1
* Mon Apr  1 2019 lslezak@suse.cz
- Removed unused BuildRequires (bsc#1131234)
- 4.2.0
* Fri Dec 14 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- enable rubocop
- 4.1.1
* Sat Nov 24 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.4
* Thu Apr 19 2018 jreidinger@suse.com
- do not write crashkernel to XEN dom0 (bsc#1085626)
- 4.0.3
* Thu Apr 19 2018 snwint@suse.de
- log to /var/log/YaST2, not /var/lib/YaST2 (bsc#1090202)
- 4.0.2
* Mon Feb  5 2018 aschnell@suse.com
- added supplements for yast2 and kdump (bsc#1070423)
- 4.0.1
* Fri Dec 15 2017 jreidinger@suse.com
- Show kdump as disabled in an installation proposal if the product
  disables it (bsc#1071242)
- 4.0.0
* Thu Aug 10 2017 ancor@suse.com
- Removed leftover dependency on yast2-storage
  (part of fate#318196).
- 3.3.2
* Thu Jul 13 2017 schubi@suse.de
- Switching X-SuSE-YaST-AutoInst flag to "all" because it has an
  own UI in the installed system and it can write settings in an
  already installed system. (bnc#1047809)
- 3.3.1
* Mon Jun 26 2017 schubi@suse.de
- Crash in AutoYaST clone: Fix for "dup" while getting
  crash_xen_kernel_values and crash_kernel_values values.
  (bnc#1045965)
- 3.3.0
* Wed Jun 21 2017 gsouza@suse.com
- Fixed regular expression that verifies alloc_mem parameter
  (bsc#1045098).
- 3.2.6
* Tue Jun 20 2017 gsouza@suse.com
- The alloc_mem parameter is verified to be in accordance with
  documentation (bsc#1045098).
- Pop-up is suppressed from command line when the user enables or
  disables kdump (bsc#1045103).
- 3.2.5
* Fri Jun  2 2017 gsouza@suse.com
- Added allocate memory high in commandline (FATE#320016)
- 3.2.4
* Wed Mar 29 2017 jreidinger@suse.com
- fix dumping kernel with Xen hypervisor (bsc#1014136)
- 3.2.3
* Tue Feb 14 2017 mvidner@suse.com
- Explicitly create the kdump initrd (bsc#1022496).
- 3.2.2
* Wed Jan 25 2017 mvidner@suse.com
- Implement simple_mode -> label_proposal (FATE#322328)
- 3.2.1
* Thu Oct 27 2016 jreidinger@suse.com
- fix typos in kdump help (bsc#703145)
- 3.2.0
* Thu Sep 22 2016 schubi@suse.de
- AutoYaST: Taking proposed values if <crash_kernel> has not been
  defined in AutoYaST configuration file. (bnc#997448)
- 3.1.42
* Thu Sep  1 2016 schubi@suse.de
- AutoYaST: Write <general> and <crash_kernel> sections correctly.
  Imported settings will not be overwritten by proposal.
  (bnc#995750)
- 3.1.41
* Fri Aug 12 2016 schubi@suse.de
- Reading kernel_param: Filtering out empty entries. (bnc#991140)
- 3.1.40
* Wed Jul 20 2016 locilka@suse.com
- Proposing kdump to be disabled by default on ARM64 (bsc#989321)
- 3.1.39
* Mon Jun 27 2016 jreidinger@suse.com
- Skip writing bootloader configuration in installation, as it
  will be written later by yast2-bootloader. This will speed up
  installation. (bnc#984649)
- 3.1.38
* Wed Apr 13 2016 jreidinger@suse.com
- Remove unused import of dropped BootCommon package
  (related to FATE#317701)
- 3.1.37
* Wed Jan 13 2016 igonzalezsosa@suse.com
- fix AutoYaST profile schema (bsc#954412)
- 3.1.36
* Tue Jan  5 2016 ancor@suse.com
- Alert the user when trying to configure a Xen DomU system, which
  does not support kdump (bsc#952253)
- 3.1.35
* Tue Nov  3 2015 ancor@suse.com
- manage the value of the fadump kernel param (bsc#951212)
- 3.1.34
* Mon Oct 12 2015 jreidinger@suse.com
- when fadump changed write show popup that reboot is needed
  (bnc#945018)
- 3.1.33
* Thu Oct  1 2015 ancor@suse.com
- Prevent users from setting a combination of crashkernel values
  that are bigger than the total memory (bnc#882082)
- 3.1.32
* Tue Sep 29 2015 igonzalezsosa@suse.com
- Update AutoYaST rnc to allow specifying multiple values
  for crash_kernel parameter (bnc#882082).
- 3.1.31
* Mon Sep 28 2015 ancor@suse.com
- Prevent kdumptool to be called more than once (bnc#882082)
- 3.1.30
* Mon Sep 21 2015 ancor@suse.com
- More robust fix for bnc#946639 (see previous changelog message),
  including better test coverage.
- 3.1.29
* Mon Sep 21 2015 ancor@suse.com
- Fixed a crash during system update (bnc#946639)
- 3.1.28
* Fri Sep 18 2015 ancor@suse.com
- Use default values suggested by kdumptool, not only the maximum
  and minimum ones (bnc#882082)
- 3.1.27
* Mon Sep  7 2015 ancor@suse.com
- Added support for allocating low and high memory in systems
  supporting the feature (bnc#882082)
- Fixed behavior during autoupgrade
- 3.1.26
* Tue Jul 21 2015 igonzalezsosa@suse.com
- Fix initialization of target value in the UI (bsc#935756).
- 3.1.25
* Wed Jul  1 2015 dvaleev@suse.com
- Require kdump on aarch64 but recommend on ppc32 this time.
  kdump made available on aarch64. This time it is ppc32's turn
- 3.1.24
* Wed Jun 17 2015 locilka@suse.com
- Warn user in installation proposal if space available on disk
  is smaller than RAM size + 4 GB (FATE#317488)
- 3.1.23
* Mon May 25 2015 ptesarik@suse.cz
- Add 'sftp' dump target, which is distinct from 'ssh' in kdump
  version 0.8.12 or newer (bsc#868704).
- 3.1.22
* Mon May 25 2015 ptesarik@suse.cz
- Don't mention 'scp' in the SSH dump target, as the SCP protocol
  has never been used to transfer dumps (bsc#868704).
* Fri Feb  6 2015 ancor@suse.com
- The unit tests are now compatible with RSpec 3 (bnc#916364)
- 3.1.21
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.19
* Thu Aug  7 2014 schubi@suse.de
- Autoyast: "add_crashkernel_param" will be set by using autoinst.xml
  and will not be overwritten by proposal. (bnc#884997)
- 3.1.18
* Mon Jul 21 2014 schubi@suse.de
- Reading crashkernel parameter value only if it's set a non-empty.
  (bnc#887901)
- 3.1.17
* Mon Jun 30 2014 mvidner@suse.cz
- Use kdump.rpm also on ppc64; kernel-kdump.rpm is gone
  (bnc#882062).
- 3.1.16
* Mon Jun 16 2014 snwint@suse.de
- change kdump default settings to: level = 31, format = lzo (bnc #875939)
- 3.1.15
* Thu May 29 2014 jreidinger@suse.com
- fix crash of software proposal
- 3.1.14
* Tue May 27 2014 jreidinger@suse.com
- Do not force yast2-kdump on target system to allow yastless
  installation
- 3.1.13
* Wed May 14 2014 jreidinger@suse.com
- fix setting kdump parameters for xen (bnc#869608)
- 3.1.12
* Mon May  5 2014 jreidinger@suse.com
- use directly kdump service instead of boot.kdump wrapper
  (bnc#873733)
- 3.1.11
* Wed Apr 30 2014 snwint@suse.de
- require kdump, but not yet on aarch64 (bnc #875765)
- 3.1.10
* Wed Mar 19 2014 snwint@suse.de
- kdump for all (bnc #869086, bnc #804512)
- 3.1.9
* Tue Mar 18 2014 mvidner@suse.com
- actually write the sysconfig data for kdumptool calibrate (FATE#315241)
- 3.1.8
* Thu Mar 13 2014 vmoravec@suse.com
- Fix wrong systemd unit name in Kdump module (bnc#867714)
- 3.1.7
* Mon Mar  3 2014 jreidinger@suse.com
- Do not stretch browse button (BNC#865352)
- 3.1.6
* Fri Feb 28 2014 fisiu@opensuse.org
- Enable all possible values for dump data format.
- 3.1.5
* Wed Jan 29 2014 jreidinger@suse.com
- Fix internal error popup during installation(BNC#861075)
- 3.1.4
* Thu Jan 23 2014 mvidner@suse.com
- run a tool to propose the crashkernel value (FATE#315241)
- 3.1.3
* Fri Jan 10 2014 locilka@suse.com
- Added command-line support for firmware-assisted dump
  (FATE#315780)
- 3.1.2
* Fri Nov 29 2013 locilka@suse.com
- Added support for firmware-assisted dump (for ppc64 only)
  (FATE#315780)
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Jul  2 2012 jsuchome@suse.cz
- merged proofread texts
* Mon Jul  2 2012 crrodriguez@opensuse.org
- Package must also recommend kdump, otherwise it is pretty much
  useless.
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 19 2011 visnov@suse.cz
- removed unneeded import
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Tue Mar  9 2010 juhliarik@suse.cz
- added fix for allocating memory (bnc#578590)
- 2.19.2
* Thu Mar  4 2010 juhliarik@suse.cz
- added missing help text for "Number of old dumps" (bnc#584586)
- 2.19.1
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Jan 12 2010 juhliarik@suse.cz
- deleted offset "@16M" for crashkernel value (bnc#567572)
- 2.19.0
* Thu Mar  5 2009 juhliarik@suse.cz
- added fix for validation of autoyast profil (bnc#480466)
- 2.18.1
* Mon Feb  9 2009 juhliarik@suse.de
- added fix for correct using buttons (bnc#440554)
- 2.18.0
* Wed Dec 10 2008 jsrain@suse.cz
- use correct quote in help text
* Fri Nov 28 2008 juhliarik@suse.cz
- updated proposal of alocation memory (bnc #446480)
- V 2.17.14
* Thu Nov 20 2008 juhliarik@suse.cz
- deleted offset for ppc64 in crashkernel value (bnc #447107)
- V 2.17.13
* Thu Nov 20 2008 juhliarik@suse.cz
- added fix for problem with "Browse" button (bnc #445894)
- V 2.17.12
* Wed Nov 19 2008 juhliarik@suse.cz
- updated proposal of alocated memory for ia64 with huge RAM
  (bnc #446480)
- V 2.17.11
* Thu Nov 13 2008 ug@suse.de
- rnc file fixed
* Fri Nov  7 2008 juhliarik@suse.cz
- added fix for unsupported option KDUMP_RUNLEVEL (bnc #440897)
- added fix for default value of KDUMP_SAVEDIR (bnc #440843)
- V 2.17.10
* Fri Oct 31 2008 juhliarik@suse.cz
- added fix for unsupported option KDUMP_DUMPDEV (bnc #438976)
- added fix for autoyast (bnc #436365)
- fixed problem with value of crashkernel for XEN (bnc #439881)
- added pacth for allocating double size of memory for ppc64
  (bnc #431492)
- added fix for problem with Popup in autoyast installation on
  s390 (bnc #440277)
- V 2.17.9
* Fri Oct 31 2008 ug@suse.de
- is cloneable for autoyast
* Fri Oct 24 2008 juhliarik@suse.cz
- added fix for problem with value of "KDUMP_KERNELVER"
  (bnc #438222)
- added fix for proposal: disable kdump if machine has less
  than 1024MB RAM
- added fix for problem with wrong value for crashkernel
  (bnc #437340)
- V 2.17.8
* Fri Oct 17 2008 juhliarik@suse.cz
- added fix for adding password for ssh target (bnc #436042)
- V 2.17.7
* Wed Oct  8 2008 juhliarik@suse.cz
- added fix for adding crashkernel option (bnc #432651)
- V 2.17.6
* Fri Oct  3 2008 juhliarik@suse.cz
- added fix for installing packages (bnc #431580)
- V 2.17.5
* Mon Sep 22 2008 juhliarik@suse.cz
- added new tree item Email Notification
- fix for problem with ncurses (bnc #373551)
- fix problem with long text (bnc #344873)
- added changes for new kdump (bnc #412140)
- V 2.17.4
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Thu Aug 28 2008 juhliarik@suse.cz
- added changes for init script of kdump (kdump -> boot.kdump)
- V 2.17.3
* Tue Jul  8 2008 juhliarik@suse.cz
- added support for autoyast (fate #303263)
- added support fot installation (fate #303893)
- V 2.17.2
* Thu Jun 19 2008 juhliarik@suse.cz
- added fix for CIFS is cifs-mount is not installed (bnc #307307)
- added fix for CIFS problem with path of directory (bnc #307336)
- added fix for adding crashkernel to XEN boot section(bnc #390842)
- added handling ranges in craskernel (fate #303161)
- V 2.17.1
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu Mar 27 2008 juhliarik@suse.cz
- changed dialog buttons (fate #120373) Unified Button Labels
- changed dependences kdump vs. kernel-kdump (ppc64)
- V 2.16.10
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Jan  9 2008 juhliarik@suse.cz
- added patch for text lines bug #352266 #350248
- V 2.16.9
* Tue Dec 11 2007 juhliarik@suse.cz
- added patch for bug# 347241 - kdump package needs to be
  installed in yast2-kdump module
- new version for openSUSE 11.0
- V 2.16.8
* Thu Aug 30 2007 juhliarik@suse.cz
- added correction for:
  bug#300124 - Adding boot options via yast bootloader doesn't work
  bug#305905 - Unneeded sleeps during KDump reading
- added recommends for makedumpfile
- V 2.15.7
* Mon Aug 27 2007 juhliarik@suse.cz
- added correction for problems:
  bug#301357 - yast2-kdump module always asks for reboot
  bug#301359 - yast2-kdump: Ncurses UI contains no space between text fields
  bug#301361 - yast2-kdump: Username not saved for FTP
  bug#301372 - yast2-kdump: Wrong default port for SSH
  bug#301399 - yast2-kdump: Install makedumpfile if necessary
- V 2.15.6
* Fri Aug 17 2007 juhliarik@suse.cz
- added new interactive installation packages
- V 2.15.5
* Thu Aug 16 2007 juhliarik@suse.cz
- added patch for enable kdump, delete "noarch" from spec file
- deleted switching between Command Line and Command Line Append
- added patch for default allocate memory
- V 2.15.4
* Wed Aug 15 2007 juhliarik@suse.cz
- added patch for problem with installing package kernel-kdump
- V 2.15.3
* Thu Aug  9 2007 juhliarik@suse.cz
- added commandline interface
- V 2.15.2
* Mon Aug  6 2007 juhliarik@suse.cz
- initial version
- V 2.15.1
